org.apache.tinkerpop.gremlin.structure.io.util

## Class CustomId.CustomIdJacksonSerializerV2d0

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.structure.io.util.CustomId.CustomIdJacksonSerializerV2d0

- Enclosing class:
    CustomId

      public static class CustomId.CustomIdJacksonSerializerV2d0
      extends <any>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomIdJacksonSerializerV2d0()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(CustomId customId, JsonGenerator jsonGenerator, SerializerProvider serializerProvider)`
    `void` | `serializeWithType(CustomId customId, JsonGenerator jsonGenerator, SerializerProvider serializerProvider, TypeSerializer typeSerializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomIdJacksonSerializerV2d0

          public CustomIdJacksonSerializerV2d0()

  - ### Method Detail

    - #### serialize

          public void serialize(CustomId customId,
                                JsonGenerator jsonGenerator,
                                SerializerProvider serializerProvider)
                         throws IOException,
                                JsonGenerationException

      Throws:
        `IOException`
        `JsonGenerationException`

    - #### serializeWithType

          public void serializeWithType(CustomId customId,
                                        JsonGenerator jsonGenerator,
                                        SerializerProvider serializerProvider,
                                        TypeSerializer typeSerializer)
                                 throws IOException,
                                        JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.